"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_config_1 = require("../../command-config");
const log_compare_results_1 = require("../../helpers/log-compare-results");
const fs_extra_1 = require("fs-extra");
const flags_1 = require("../../helpers/flags");
class CompareAnalyze extends command_config_1.TBBaseCommand {
    async run() {
        const { args, flags } = this.parse(CompareAnalyze);
        const results = fs_extra_1.readJsonSync(args.resultsFile);
        return await log_compare_results_1.logCompareResults(results, flags, this);
    }
}
exports.default = CompareAnalyze;
CompareAnalyze.description = 'Run an analysis of a benchmark run from a results json file and output to terminal';
CompareAnalyze.args = [
    { name: 'resultsFile', required: true, description: 'Results JSON file' },
];
CompareAnalyze.flags = {
    fidelity: flags_1.fidelity({ required: true }),
    tbResultsFolder: flags_1.tbResultsFolder({ required: true }),
    regressionThreshold: flags_1.regressionThreshold(),
};
//# sourceMappingURL=analyze.js.map