/**
 * Difference of x and y
 *
 * @private
 */
declare function _defaultModifier(x: number, y: number): number;
/**
 * Apply the passed "_func" to the permutations of the items in listOne and listTwo
 *
 * @param listOne - Array of numbers
 * @param listTwo - Array of numbers
 * @param func - Function used to do something with x and y
 */
export declare function cartesianProduct(listOne: number[], listTwo: number[], func?: typeof _defaultModifier): number[];
/**
 * Calculate the confidence interval of the difference between the two distributions
 *
 * @param distributionOne - Expected to be array of numbers
 * @param distributionTwo - Expected to be array of numbers
 * @param interval - Float between 0 and 1
 */
export declare function confidenceInterval(distributionOne: number[], distributionTwo: number[], interval: number): [number, number];
export {};
//# sourceMappingURL=confidence-interval.d.ts.map