export interface ISevenFigureSummary {
    min: number;
    max: number;
    10: number;
    25: number;
    50: number;
    75: number;
    90: number;
}
export interface IStatsOptions {
    control: number[];
    experiment: number[];
    name: string;
}
export interface IConfidenceInterval {
    min: number;
    max: number;
    isSig: boolean;
}
export declare class Stats {
    readonly name: string;
    readonly estimator: number;
    readonly sparkLine: {
        control: string;
        experiment: string;
    };
    readonly confidenceInterval: IConfidenceInterval;
    readonly sevenFigureSummary: {
        control: ISevenFigureSummary;
        experiment: ISevenFigureSummary;
    };
    readonly sampleCount: {
        control: number;
        experiment: number;
    };
    private range;
    constructor(options: IStatsOptions);
    private getSevenFigureSummary;
    private getConfidenceInterval;
    private getHodgesLehmann;
    private getRange;
    private getHistogram;
    private getSparkline;
}
//# sourceMappingURL=stats.d.ts.map